<?php
## [created : 24.02.2008, 15:26:21]
## Creer par a@oscim.fr
## Aurélien imhof
## Licences GNU, GPL

function extract_nom_dates($nom){
	$zevxvcg=eregi_replace("bak_","",$nom); // nom_complet sans bak
	$zev=eregi_replace("^[0-9]*[_]","",$zevxvcg); // nom
	$titre=str_replace("_"," ", eregi_replace("([.][a-z]{3})","",$zev));
	$zevxvcg=eregi_replace("[_]($zev)","",$zevxvcg); // date format aaaammjj
	$jour=eregi_replace("(^[0-9]{6})","",$zevxvcg);
	$mois=eregi_replace("($jour)$","",eregi_replace("(^[0-9]{4})","",$zevxvcg));
	$anne=eregi_replace("($mois$jour)","",$zevxvcg);
	$et=date("d-m-Y",@filemtime("../xml/news/".$nom.".xml"));

	return $r=array(
		"Nom_complet" => "$zevxvcg",
		"Nom_ss_num" => "$zev",
		"titre" => "$titre",
		"date_compr" => "$zevxvcg",
		"jour" => "$jour",
		"mois" => "$mois",
		"annee" => "$anne",
		"date_creation" => "$et"
	);
}
?>